#include <stdio.h>
#include <io.h>
#include "dyncom.h"

DCM *Load_DCM(char *filename, void *ext_proc, void *ext_var)
{
  DCM   *dcm;
  FILE  *fp;


  if (!(dcm=(DCM *)malloc(sizeof(DCM))))
     {
       return 0;
     }

  if (!(dcm->dcm_init=(void *)_dxe_load(filename)))
     { return 0; }

  dcm->ext_proc=ext_proc;
  dcm->ext_var=ext_var;

  dcm->dcm_init(dcm);

  return(dcm);
}

void Free_DCM(DCM *dcm)
{
  if (dcm)
     {
       free(dcm);
     }
}
